/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.communication
 * File:    Connection.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.communication;

import java.io.FileNotFoundException;
import java.io.IOException;

import org.apache.axis2.AxisFault;

import de.fhhannover.inform.ifmap.properties.Config;
import de.fhhannover.inform.ifmap.properties.PropertiesReader;

public class Connection {
	
	private static Connection con;
	
	public static Connection getInstance() throws FileNotFoundException, IOException {
		if (con == null) {			
			PropertiesReader.loadProperties("ifmap.properties");
			con = new Connection();
		}
		return con;
	}
	
	public IFMAPConnection newConnection() throws AxisFault {
		try {
			IFMAPConnection mConnection = new IFMAPConnection(Config.MAPSERVER_URL, // URL to
																// Webserver
					Config.MAPSERVER_KEYSTORE_PATH, // Keystore for the public
													// key
					Config.MAPSERVER_TRUSTSTORE_PATH); // Keystore for the			
														// private key
			return mConnection;
		} catch (AxisFault a) {
			a.printStackTrace();			
			throw a;
		}

	}
}
